%define upstream_name    DateTime-Tiny
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A date object, with as little code as possible
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
*DateTime::Tiny* is a most prominent member of the the DateTime::Tiny
manpage suite of time modules.

It implements an extremely lightweight object that represents a datetime.

The Tiny Mandate
    Many CPAN modules which provide the best implementation of a certain
    concepts are very large. For some reason, this generally seems to be
    about 3 megabyte of ram usage to load the module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README LICENSE Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-3.mga5
+ Revision: 746062
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-2.mga5
+ Revision: 684292
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 guillomovitch <guillomovitch> 1.40.0-1.mga5
+ Revision: 583472
- imported package perl-DateTime-Tiny


* Wed Feb 05 2014 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist
